Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.security.keystore
Class PKCS12KeyStore

    java.lang.Object
      com.mindbright.jca.security.KeyStoreSpi
          com.mindbright.security.keystore.PKCS12KeyStore

public class PKCS12KeyStore
extends KeyStoreSpi

Nested Class Summary
`static class` | `PKCS12KeyStore.DSAyx`

Constructor Summary
`PKCS12KeyStore()`

Method Summary
`java.util.Enumeration` | `engineAliases()`
`boolean` | `engineContainsAlias(java.lang.String alias)`
`void` | `engineDeleteEntry(java.lang.String alias)`
`Certificate` | `engineGetCertificate(java.lang.String alias)`
`java.lang.String` | `engineGetCertificateAlias(Certificate cert)`
`Certificate[]` | `engineGetCertificateChain(java.lang.String alias)`
`java.util.Date` | `engineGetCreationDate(java.lang.String alias)`
`Key` | `engineGetKey(java.lang.String alias, char[] password)`
`boolean` | `engineIsCertificateEntry(java.lang.String alias)`
`boolean` | `engineIsKeyEntry(java.lang.String alias)`
`void` | `engineLoad(java.io.InputStream stream, char[] password)`
`void` | `engineSetCertificateEntry(java.lang.String alias, Certificate cert)`
`void` | `engineSetKeyEntry(java.lang.String alias, byte[] key, Certificate[] chain)`
`void` | `engineSetKeyEntry(java.lang.String alias, Key key, char[] password, Certificate[] chain)`
`int` | `engineSize()`
`void` | `engineStore(java.io.OutputStream stream, char[] password)`
`static PrivateKey` | `extractPrivateKey(byte[] berPrivateKeyInfo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PKCS12KeyStore

    public PKCS12KeyStore()

Method Detail

### engineGetKey

    public Key engineGetKey(java.lang.String alias,
                            char[] password)
                     throws NoSuchAlgorithmException,
                            UnrecoverableKeyException

  Specified by:
    `engineGetKey` in class `KeyStoreSpi`
  Throws:
    `NoSuchAlgorithmException`
    `UnrecoverableKeyException`

### engineGetCertificateChain

    public Certificate[] engineGetCertificateChain(java.lang.String alias)

  Specified by:
    `engineGetCertificateChain` in class `KeyStoreSpi`

### engineGetCertificate

    public Certificate engineGetCertificate(java.lang.String alias)

  Specified by:
    `engineGetCertificate` in class `KeyStoreSpi`

### engineGetCreationDate

    public java.util.Date engineGetCreationDate(java.lang.String alias)

  Specified by:
    `engineGetCreationDate` in class `KeyStoreSpi`

### engineSetKeyEntry

    public void engineSetKeyEntry(java.lang.String alias,
                                  Key key,
                                  char[] password,
                                  Certificate[] chain)
                           throws KeyStoreException

  Specified by:
    `engineSetKeyEntry` in class `KeyStoreSpi`
  Throws:
    `KeyStoreException`

### engineSetKeyEntry

    public void engineSetKeyEntry(java.lang.String alias,
                                  byte[] key,
                                  Certificate[] chain)
                           throws KeyStoreException

  Specified by:
    `engineSetKeyEntry` in class `KeyStoreSpi`
  Throws:
    `KeyStoreException`

### engineSetCertificateEntry

    public void engineSetCertificateEntry(java.lang.String alias,
                                          Certificate cert)
                                   throws KeyStoreException

  Specified by:
    `engineSetCertificateEntry` in class `KeyStoreSpi`
  Throws:
    `KeyStoreException`

### engineDeleteEntry

    public void engineDeleteEntry(java.lang.String alias)
                           throws KeyStoreException

  Specified by:
    `engineDeleteEntry` in class `KeyStoreSpi`
  Throws:
    `KeyStoreException`

### engineAliases

    public java.util.Enumeration engineAliases()

  Specified by:
    `engineAliases` in class `KeyStoreSpi`

### engineContainsAlias

    public boolean engineContainsAlias(java.lang.String alias)

  Specified by:
    `engineContainsAlias` in class `KeyStoreSpi`

### engineSize

    public int engineSize()

  Specified by:
    `engineSize` in class `KeyStoreSpi`

### engineIsKeyEntry

    public boolean engineIsKeyEntry(java.lang.String alias)

  Specified by:
    `engineIsKeyEntry` in class `KeyStoreSpi`

### engineIsCertificateEntry

    public boolean engineIsCertificateEntry(java.lang.String alias)

  Specified by:
    `engineIsCertificateEntry` in class `KeyStoreSpi`

### engineGetCertificateAlias

    public java.lang.String engineGetCertificateAlias(Certificate cert)

  Specified by:
    `engineGetCertificateAlias` in class `KeyStoreSpi`

### engineStore

    public void engineStore(java.io.OutputStream stream,
                            char[] password)
                     throws java.io.IOException,
                            NoSuchAlgorithmException,
                            CertificateException

  Specified by:
    `engineStore` in class `KeyStoreSpi`
  Throws:
    `java.io.IOException`
    `NoSuchAlgorithmException`
    `CertificateException`

### engineLoad

    public void engineLoad(java.io.InputStream stream,
                           char[] password)
                    throws java.io.IOException,
                           NoSuchAlgorithmException,
                           CertificateException

  Specified by:
    `engineLoad` in class `KeyStoreSpi`
  Throws:
    `java.io.IOException`
    `NoSuchAlgorithmException`
    `CertificateException`

### extractPrivateKey

    public static PrivateKey extractPrivateKey(byte[] berPrivateKeyInfo)
                                        throws UnrecoverableKeyException

  Throws:
    `UnrecoverableKeyException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD